/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_VATINVOICE_E' AND KSQL_COL_NAME ='FESTATECODE') 
 ALTER TABLE T_SIM_VATINVOICE_E ADD (FESTATECODE VARCHAR(90) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_VATINVOICE_E' AND KSQL_COL_NAME ='FACTUALTURNOVER') 
 ALTER TABLE T_SIM_VATINVOICE_E ADD (FACTUALTURNOVER DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_VATINVOICE_E' AND KSQL_COL_NAME ='FAPPROVEDPRICE') 
 ALTER TABLE T_SIM_VATINVOICE_E ADD (FAPPROVEDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SIM_VATINVOICE_DEDUC') 
 CREATE TABLE T_SIM_VATINVOICE_DEDUC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FEVIDENCETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FETAXINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEVIDENCENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FEVIDENCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIEVIDENCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONREMARK VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\SIM_table.sql **/
